searchData={"items":[{"type":"module","title":"NLdoc.Stream.ConsumerServer","doc":"A GenServer responsible for managing message consumption and forwarding events\nto the calling Plug process.","ref":"NLdoc.Stream.ConsumerServer.html"},{"type":"function","title":"NLdoc.Stream.ConsumerServer.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"NLdoc.Stream.ConsumerServer.html#child_spec/1"},{"type":"type","title":"NLdoc.Stream.ConsumerServer.filter_value_opt/0","doc":"","ref":"NLdoc.Stream.ConsumerServer.html#t:filter_value_opt/0"},{"type":"type","title":"NLdoc.Stream.ConsumerServer.offset_opt/0","doc":"","ref":"NLdoc.Stream.ConsumerServer.html#t:offset_opt/0"},{"type":"type","title":"NLdoc.Stream.ConsumerServer.opt/0","doc":"","ref":"NLdoc.Stream.ConsumerServer.html#t:opt/0"},{"type":"function","title":"NLdoc.Stream.ConsumerServer.start_link/1","doc":"","ref":"NLdoc.Stream.ConsumerServer.html#start_link/1"},{"type":"type","title":"NLdoc.Stream.ConsumerServer.state/0","doc":"","ref":"NLdoc.Stream.ConsumerServer.html#t:state/0"},{"type":"module","title":"NLdoc.Stream.Message","doc":"Stream Consumer","ref":"NLdoc.Stream.Message.html"},{"type":"function","title":"NLdoc.Stream.Message.get_stream_filter_value/1","doc":"Retrieves the stream filter value from the provided headers.","ref":"NLdoc.Stream.Message.html#get_stream_filter_value/1"},{"type":"function","title":"Examples - NLdoc.Stream.Message.get_stream_filter_value/1","doc":"iex> headers = [{\"x-stream-filter-value\", :longstr, \"value\"}]\n    iex> NLdoc.Stream.Message.get_stream_filter_value(%{headers: headers})\n    \"value\"\n    iex> NLdoc.Stream.Message.get_stream_filter_value(%{headers: []})\n    nil","ref":"NLdoc.Stream.Message.html#get_stream_filter_value/1-examples"},{"type":"function","title":"NLdoc.Stream.Message.get_stream_offset/1","doc":"Retrieves the stream offset from the provided headers.","ref":"NLdoc.Stream.Message.html#get_stream_offset/1"},{"type":"function","title":"Examples - NLdoc.Stream.Message.get_stream_offset/1","doc":"iex> headers = [{\"x-stream-offset\", :long, 42}]\n    iex> NLdoc.Stream.Message.get_stream_offset(%{headers: headers})\n    42\n    iex> NLdoc.Stream.Message.get_stream_offset(%{headers: []})\n    nil","ref":"NLdoc.Stream.Message.html#get_stream_offset/1-examples"},{"type":"function","title":"NLdoc.Stream.Message.matches_stream_filter?/2","doc":"Even though we set `x-stream-filter` to `id`, we still need to check the\n`x-stream-filter-value` header to be sure, because:\n\n    ... server-side filtering is probabilistic: messages that do not match the filter value\n    can still be sent to the consumer. The server uses a Bloom filter, a space-efficient\n    probabilistic data structure, where false positives are possible.\n\nSee: [RabbitMQ Docs on Streams Filtering](https://www.rabbitmq.com/docs/streams#filtering)\n\nReturns `true` if the stream filter value in the message equals the given value.","ref":"NLdoc.Stream.Message.html#matches_stream_filter?/2"},{"type":"function","title":"Examples - NLdoc.Stream.Message.matches_stream_filter?/2","doc":"iex> msg = %{headers: [{\"x-stream-filter-value\", :longstr,\"uuid\"}]}\n    iex> NLdoc.Stream.Message.matches_stream_filter?(msg, \"uuid\")\n    true\n    iex> NLdoc.Stream.Message.matches_stream_filter?(msg, \"wrong-id\")\n    false","ref":"NLdoc.Stream.Message.html#matches_stream_filter?/2-examples"},{"type":"type","title":"NLdoc.Stream.Message.t/0","doc":"","ref":"NLdoc.Stream.Message.html#t:t/0"},{"type":"module","title":"NLdoc.Stream.Message.Header","doc":"Stream Consumer","ref":"NLdoc.Stream.Message.Header.html"},{"type":"function","title":"NLdoc.Stream.Message.Header.find/3","doc":"Finds the header tuple in the given list matching the specified name and type.\n\nReturns the matching header tuple or `nil` if not found.","ref":"NLdoc.Stream.Message.Header.html#find/3"},{"type":"function","title":"Examples - NLdoc.Stream.Message.Header.find/3","doc":"iex> headers = [\n    ...>   {\"x-stream-offset\", :long, 42},\n    ...>   {\"x-stream-filter-value\", :longstr, \"uuid\"}\n    ...> ]\n    iex> NLdoc.Stream.Message.Header.find(headers, \"x-stream-offset\", :long)\n    {\"x-stream-offset\", :long, 42}\n    iex> NLdoc.Stream.Message.Header.find(headers, \"x-stream-filter-value\", :longstr)\n    {\"x-stream-filter-value\", :longstr, \"uuid\"}\n    iex> NLdoc.Stream.Message.Header.find(headers, \"x-stream-filter-value\", :long)\n    nil\n    iex> NLdoc.Stream.Message.Header.find(headers, \"non-existent\", :long)\n    nil","ref":"NLdoc.Stream.Message.Header.html#find/3-examples"},{"type":"function","title":"NLdoc.Stream.Message.Header.find_value/3","doc":"Searches for a header by name and type and returns its value.\n\nReturns the value for the header if found, or `nil` if no matching header exists.","ref":"NLdoc.Stream.Message.Header.html#find_value/3"},{"type":"function","title":"Examples - NLdoc.Stream.Message.Header.find_value/3","doc":"iex> headers = [\n    ...>   {\"x-stream-offset\", :long, 42},\n    ...>   {\"x-stream-filter-value\", :longstr, \"uuid\"}\n    ...> ]\n    iex> NLdoc.Stream.Message.Header.find_value(headers, \"x-stream-offset\", :long)\n    42\n    iex> NLdoc.Stream.Message.Header.find_value(headers, \"x-stream-filter-value\", :longstr)\n    \"uuid\"\n    iex> NLdoc.Stream.Message.Header.find_value(headers, \"x-stream-filter-value\", :long)\n    nil\n    iex> NLdoc.Stream.Message.Header.find_value(headers, \"non-existent\", :long)\n    nil","ref":"NLdoc.Stream.Message.Header.html#find_value/3-examples"},{"type":"type","title":"NLdoc.Stream.Message.Header.numeric_header/0","doc":"","ref":"NLdoc.Stream.Message.Header.html#t:numeric_header/0"},{"type":"type","title":"NLdoc.Stream.Message.Header.string_header/0","doc":"","ref":"NLdoc.Stream.Message.Header.html#t:string_header/0"},{"type":"type","title":"NLdoc.Stream.Message.Header.t/0","doc":"","ref":"NLdoc.Stream.Message.Header.html#t:t/0"},{"type":"function","title":"NLdoc.Stream.Message.Header.value/1","doc":"Extracts the value from a header tuple.\n\nReturns the header's value if the header is present, or `nil` if the header is `nil`.","ref":"NLdoc.Stream.Message.Header.html#value/1"},{"type":"function","title":"Examples - NLdoc.Stream.Message.Header.value/1","doc":"iex> NLdoc.Stream.Message.Header.value({\"x-stream-offset\", :long, 42})\n    42\n    iex> NLdoc.Stream.Message.Header.value(nil)\n    nil","ref":"NLdoc.Stream.Message.Header.html#value/1-examples"},{"type":"extras","title":"NLdoc.Logging","doc":"# NLdoc.Logging\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Logging","doc":"The package can be installed by adding `nldoc_logging` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_logging, \"~> 1.0.0\"}\n  ]\nend\n```\n\nDocumentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"1.0.0 (2025-01-27)","doc":"# 1.0.0 (2025-01-27)","ref":"changelog.html"},{"type":"extras","title":"Features - 1.0.0 (2025-01-27)","doc":"* package logic ([78b2e97](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_stream/commit/78b2e970b28da3150dd22715a84a15ce13056c2a))","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}